/**************************************************************************
 *                                                                        *
 * Copyright (c) 1996 Michael Richmond and Richard Treffers               *
 *                                                                        *
 *                    This software may be copied and distributed for     *
 *                    educational, research and not for profit services   *
 *                    provided that this copyright and statement are      *
 *                    included in all such copies.                        *
 *                                                                        *
 **************************************************************************/


#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include "pcvista.h"
#include "pcvistax.h"
#include "pcvimage.h"

	/* reset the RootWindow Property so that all elements are zero 
		4/22/94 - remove read/set_proper
	*/


static char *usage = "usage: propinit [verbose] [help]";
char *progname = "propinit";

int 
main(argc, argv)
int argc;
char *argv[];
{
	static int data[PROP_NITEMS];
	int i, verbose;

	verbose = 0;

	for (i = 1; i < argc; i++) {
		if (keyword("verbose", argv[i])) {
			verbose = 1;
			continue;
		}
		if (keyword("help", argv[i])) {
			printf("%s\n", usage);
			exit(0);
		}
		else {
			error(-1, usage);
		}
	}

	image_init(TV_GREYSCALE, verbose);
	set_property(data);

	image_abort();
	exit(0);
}
