/**************************************************************************
 *                                                                        *
 * Copyright (c) 1996 Michael Richmond and Richard Treffers               *
 *                                                                        *
 *                    This software may be copied and distributed for     *
 *                    educational, research and not for profit services   *
 *                    provided that this copyright and statement are      *
 *                    included in all such copies.                        *
 *                                                                        *
 **************************************************************************/


/*	routines used by stars programs
*/

void star_axes(int16 ** image, 
	int sr, int sc,
	int tsr, int tsc, 
	int nr, int nc, 
	int sky, 
	double* xc, double* yc, 
	double* fwhm, 
	double* xwidth, double* ywidth,
	int maxiter);

void star_convolve(int sr, int sc, int nr, int nc, double fwhm, int  signif, 
	double* conv_sig, int verbose, char* imagename);

double sg_skysig(int sr, int sc, int nr, int nc, double estimated_sig);

