/**************************************************************************
 *                                                                        *
 * Copyright (c) 1996 Michael Richmond and Richard Treffers               *
 *                                                                        *
 *                    This software may be copied and distributed for     *
 *                    educational, research and not for profit services   *
 *                    provided that this copyright and statement are      *
 *                    included in all such copies.                        *
 *                                                                        *
 **************************************************************************/


/*	
 * function declarations for the routines used to interpolate in:
 *     
 *      ROTATE, IMSHIFT
 */

typedef int16 (*PFI16)();

#ifdef PROTO
int16 lagrange(double x, double y, int16 **data, int nrow, int ncol, int16 fill);
int16 sinc(double x, double y, int16 **data,int nrow, int ncol, int16 fill);
int16 bilinear(double x, double y, int16 **data, int nrow, int ncol, int16 fill);
int16 bincol(double x, double y, int16 **data, int nrow, int ncol, int16 fill);
int16 binrow(double x, double y, int16 **data, int nrow, int ncol, int16 fill);
void initsinc(double dx, double dy);
#else
int16 lagrange();
int16 sinc();
int16 bilinear();
int16 bincol();
int16 binrow();
void initsinc();
#endif
